# include "ppMerge.h"

void ppMergeFileGroupFree (ppMergeFileGroup *group) {

    if (!group) return;

    psFree (group->readouts);
    return;
}

ppMergeFileGroup *ppMergeFileGroupAlloc() {

    ppMergeFileGroup *group = (ppMergeFileGroup *) psAlloc(sizeof(ppMergeFileGroup));
    psMemSetDeallocator(group, (psFreeFunc) ppMergeFileGroupFree);

    group->readouts = NULL;
    group->read = false;
    group->busy = false;
    return group;
}
